/**
 * Application
 */
import React, { Fragment, useRef } from 'react';

import {
    BryntumCalendar,
    BryntumDemoHeader,
    BryntumThemeCombo
} from '@bryntum/calendar-react';

import { calendarConfig } from './AppConfig';
import './App.scss';

const App = () => {
    const calendarRef = useRef(null);

    return (
        <Fragment>
            <BryntumDemoHeader
                title="React Event multi-assign demo"
                href="../../../../../#example-frameworks-react-javascript-multi-assign"
                children={<BryntumThemeCombo />}
            />
            <BryntumCalendar ref={calendarRef} {...calendarConfig}></BryntumCalendar>
        </Fragment>
    );
};

export default App;
